עבור לתוכן
Magic DevHub
estersn

האם מישהו עובד עם מג'יק 9.40 בשילוב של Sql2008

Recommended Posts

בס"ד

שלום רב !

אנו עובדים עם מג'יק 9.40 sp6d, ועומדים לעבור מ-Sql2000 לגירסה יותר מתקדמת.

האם מישהו כבר עובד עם Sql2008 בשילוב עם מג'יק 9.40 ?

אריק ועידו - האם ברמה העקרונית יש תמיכה של מג'יק לעבודה עם גירסת Sql2008 ?

האם למישהו מהמשתמשים יש נסיון עם זה ?

האם יודעים להצביע מראש על דברים שצריך לשנות כדי שיעבור "חלק" ?

תודה וחודש טוב,

אסתר

שתף אשכול


קישור ישיר להודעה
שתף באתרים אחרים

אין תמיכה רישמית של SQL 2008 ב9.4, התמיכה היא החל מ-uniPaaS (או 10 SP4 ומעלה).

בכל מקרה, ממליץ טוב טוב לבדוק שרוצים לבצע קפיצה ל-2008 שמעתי על לא מעט בעיות איתו (בייחוד בהביטי הניהול).

אין שום שינוי שנדרש מעבר להתחברות לDB. ייתכנו מקרי קצה, אבל באופן עקרוני המעבר אמור להיות חלק.

שתף אשכול


קישור ישיר להודעה
שתף באתרים אחרים

שלום רב !

שוב חזרנו לנושא הזה. אני בודקת עבודה בפועל מול SQL2008.

הGateWay של המג'יק מייצר משפט select המכיל בסופו את המילים:

(UPDLOCK NOWAIT)

ה-sql2008 לא מכיר במילים אלו אם לא מקדימה להן המילה with.

האם מישהו יודע כיצד ניתן לגרום למג'יק לא לשלוח מילים אלו בselect ? האם ניתן לשלוט על זה באיזושהי צורה ?

האם יש קובץ gateway אחר, שונה, יותר מעודכן שמתאים גם לsql2008 ?

תודה רבה למוכנים לענות,

אסתר - מטריקס

שתף אשכול


קישור ישיר להודעה
שתף באתרים אחרים

אנחנו עובדים מג'יק sp7 Q 9.4  עם 2005 MSSQL ,ברמת DATABASE הגדרנו compatibility level 80 כוונה תמיכה ב sql server 2000 ועובד מצויין כבר יותר משנה. ב compatibility  level 90 נתקלנו בהרבה בעיות כולל אותה בעיה שיצגת כאן...

שתף אשכול


קישור ישיר להודעה
שתף באתרים אחרים
אנחנו עובדים עם מג'יק 9.4 עם SQL 2008 כמעט ללא בעיות יש יותר הקפדה על מפתחות כך שאם שדה מפתח לא קיים יוצר בעיה חוץ מזה צריך גירסת 7A או לפחות את ה gate way  שלה כי אחרת יוצר קוד מוטעה במשפטי ה SQL.

שתף אשכול


קישור ישיר להודעה
שתף באתרים אחרים

בס"ד

תודה למשיבים.

רומן - איפה ברמת בסיס הנתונים הגדרת את הרמה שעזרה לתאימות ?

שי - האם ניתן לקבל ממך את ה-GateWay, או - מאיפה ניתן להוריד אותו ?

תודה רבה,

אסתר - מטריקס

שתף אשכול


קישור ישיר להודעה
שתף באתרים אחרים

את עומדת על DATABASE הרצוי-> Properties->  בוחרת בצד ימין Options  ויהיה לך שם combo compatibility level

שתף אשכול


קישור ישיר להודעה
שתף באתרים אחרים

תודה רבה !

עכשיו אני לא מקבלת את הודעת השגיאה.

אני מקוה שימשיך לעבוד חלק.

שוב תודה,

אסתר

שתף אשכול


קישור ישיר להודעה
שתף באתרים אחרים

התחבר או הרשם על מנת להגיב.

עליך להיות משתמש רשום על מנת להגיב

צור חשבון

צור חשבון חדש בקהילה בקלי קלות.

רישום חשבון חדש

התחבר

משתמש קיים? התחבר.

התחבר עכשיו

×